	processor 65816

	org	$0000
	rorg	$8000
	dc.b	$a9,$0,$48,$ab
	dc.b	$5c,$00,$08,00
START	sei
	phk
	plb
	clc
	xce		; 16 bit mode

           PHP 
           SEP #$30
           LDA #$8F
           STA $2100
           LDA #$00
           STA $2101
           LDA #$00
           STA $2102
           STA $2103
           LDA #$01
           STA $2105
           LDA #$00
           STA $2106
           LDA #$01
           STA $2107
           LDA #$11
           STA $2108
           LDA #$7A
           STA $2109
           LDA #$79
           STA $210A
           LDA #$00
           STA $210B
           LDA #$77
           STA $210C
           LDA #$00
           STA $210D
           STA $210D
           STA $210E
           STA $210E
           STA $210F
           STA $210F
           STA $2110
           STA $2110
           STA $2111
           STA $2111
           STA $2112
           STA $2112
           STA $2113
           STA $2113
           STA $2114
           STA $2114
           LDA #$80
           STA $2115
           LDA #$00
           STA $2116
           STA $2117
           STA $211A
           STA $211B
           LDA #$01
           STA $211B
           LDA #$00
           STA $211C
           STA $211C
           STA $211D
           STA $211D
           STA $211E
           LDA #$01
           STA $211E
           LDA #$00
           STA $211F
           STA $211F
           STA $2120
           STA $2120
           STA $2121
           STA $2123
           STA $2124
           STA $2125
           STA $2126
           STA $2127
           STA $2128
           STA $2129
           STA $212A
           STA $212B
           LDA #$01
           STA $212C
           LDA #$00
           STA $212D
           LDA #$00
           STA $212E
           STA $212F
           LDA #$30
           STA $2130
           LDA #$00
           STA $2131
           LDA #$E0
           STA $2132
           LDA #$00
           STA $2133
           LDA #$21
           STA $4200
           LDA #$FF
           STA $4201
           LDA #$00
           STA $4202
           STA $4203
           STA $4204
           STA $4205
           STA $4206
           STA $4207
           STA $4208
           STA $4209
           STA $420A
           STA $420B
           STA $420C
           STA $420D
           PLP 

           PHP 
           REP #$10
           SEP #$20
           LDA #$00
           STA $2102
           STA $2103
           LDY.v #$0080
CLSSPR1:	LDA #$00
           STA $2104
           STA $2104
           LDA #$20
           STA $2104
           LDA #$00
           STA $2104
           DEY 
           BNE CLSSPR1
           LDY.v #$0010
CLSSPR2:	LDA #$00
           STA $2104
           STA $2104
           DEY 
           BNE CLSSPR2
           PLP 





	rep	#$30	; X,Y,A fixed -> 16 bit mode
	sep	#$20	; Accumulator ->  8 bit mode

	lda	#$10		; Screen Memory @ $1000
	sta	$2107
	lda	#$14		; plane 2 screen at $1400
	sta	$2108
	lda	#$02		; Plane 1 Tile DATA @ $2000  2 tile at $3000  
	sta	$210b
	lda	#$01
	sta	$2105
	lda	#$13
	sta	$212c
	lda	#$01
	sta	$4200	; DMA clear
	stz	$420b	; DMA clear
	stz	$420c	; DMA clear
	lda	#$ff
	sta	$4201
	ldx.v	#$000b
cleardma1:
	stz	$4202,x
	dex
	bpl	cleardma1
	ldx.v	#$007f
cleardma2:
	stz	$4300,x
	dex
	bpl	cleardma2
	ldx.v	#$0000
	ldy.v	#$0000
HDMALOOP1:			;THISLOOP CREATESHDMA VALUES FOR COLORS 
	lda	HDMA2122,x
	sta	$0202,x
	inx
	cpx.v	#$0250
	bne	HDMALOOP1

;HDMA LIST FOR PALETTE # STARTS HERE!
	ldx.v	#$0000
	;1 LINE FOR EACH PALETTE NUMBER
HDMALOOP2:
	lda	HDMA2121,x
	sta	$1800,x
	inx
	cpx.v	#$0250
	bne	HDMALOOP2
	lda	#$01
	sta	$4200
	LDA #$8F
	STA $2100
	STZ $420C		;RESETS DMA CHANNEL
	LDA #$00
	STA $4300		;?? (COULD BE # OF BYTES FOR VIDEO REGISTER)
	LDA #$21		;USE $2121
	STA $4301
	LDA #$00		;
	STA $4302		;
	LDA #$18		;  POINT TO HDMA LIST 1 AT LOCATION $0018000
	STA $4303		;
	STZ $4304		;
	LDA #$02		;?? (USE 2 BYTES FOR VIDEO REGISTER)
	STA $4310
	LDA #$22		;USE $2122
	STA $4311
	LDA #$02		;
	STA $4312		;
	LDA #$02		;  POINT TO HDMA LIST 2 AT LOCATION $000202
	STA $4313		;
	STZ $4314		;
	lda	#$03		;TURN ON DMA #1 and #2 (bit 1 + bit 2=3!)
	sta	$420c
	ldx.v	#$2000
	stx	$2116
	ldx.v	#$0000
cleardata
	lda	#$00
	sta	$2118
	sta	$2119
	inx
	cpx.v	#$1000
	bne	cleardata

	lda	#$80		; Video Port Control
	sta	$2115
	ldx	#$2000		; Transfer CHAR SET
	stx	$2116		; to $1000
	ldx.v	#0
csetlp	ldy.v	#0
ysublp	lda	Plane0+32*56*0,x
	sta	$2118
	lda	Plane0+32*56*1,x
	sta	$2119
	inx
	iny
	cpy.v	#$08
	bne	ysublp
	dex
	dex
	dex
	dex
	dex
	dex
	dex
	dex
	ldy.v	#0
ysublp2	lda	Plane0+32*56*2,x
	sta	$2118
	lda	Plane0+32*56*3,x
	stz	$2119
	inx
	iny
	cpy.v	#$08
	bne	ysublp2
	cpx.v	#$0800
	bne	csetlp

	ldx.v	#$0000
	stx	$2116
	ldx.v	#$0000
acleardata
	lda	#$00
	sta	$2118
	sta	$2119
	inx
	cpx.v	#$1000
	bne	acleardata

	lda	#$80		; Video Port Control
	sta	$2115
	ldx.v	#$0000		; Transfer CHAR SET
	stx	$2116		; to $3000
	ldx.v	#0
acsetlp	ldy.v	#0
aysublp	lda	Plane1+32*24*0,x
	sta	$2118
	lda	Plane1+32*24*1,x
	sta	$2119
	inx
	iny
	cpy.v	#$08
	bne	aysublp
	dex
	dex
	dex
	dex
	dex
	dex
	dex
	dex
	ldy.v	#0
aysublp2	lda	Plane1+32*24*2,x
	sta	$2118
	lda	Plane1+32*24*3,x
	stz	$2119
	inx
	iny
	cpy.v	#$08
	bne	aysublp2
	cpx.v	#$0800
	bne	acsetlp





	ldx.v	#$1400		; put logo chars on screen!
	stx	$2116
	ldx.v	#0
	ldy.v	#$0020
aclslp	sty	$2118
	inx
	cpx.v	#$0400
	bne	aclslp


	ldx.v	#$1000		; put logo chars on screen!
	stx	$2116
	ldx.v	#0
	ldy.v	#$00a0
clslp	sty	$2118
	inx
	cpx.v	#$0400
	bne	clslp

	ldx.v	#$1060
	stx	$2116
	ldx.v	#0
texton	stx	$2118
	inx
	cpx.v	#$00c0
	bne	texton
	ldx	#$1760
	stx	$2116
	ldx.v	#$0000
textinfo:
	lda	TEXTPAN,x
	eor	#$13
	and	#$3f
	sta	$2118
	lda	#$14
	sta	$2119
	inx
	cpx.v	#$0020
	bne	textinfo

	ldx	#$1540
	stx	$2116
	ldx.v	#$0000
gameinfo:
	lda	TEXTDATA,x
	and	#$3f
	sta	$2118
	lda	TEXTCOLOR,x
	STa	$2119
	inx
	cpx.v	#$0080
	bne	gameinfo
	lda	#$01
	sta	$2105
	lda	#$0f		; Screen ON
	sta	$2100
	ldx.v	#$0000		;RESET Y sprite pos. 
	stx	$1402
	stx	$1404
	lda	#$01
	sta	$1406		;scroll speed
	lda	#$03
	sta	$1407		;bounce direction
	lda	#$00
	sta	$1408		;reset pause flag
	lda	#$40
	sta	$1409		;set pause timer
	lda	#$02
	sta	$140a		;sine angle
	lda	#$00
	sta	$140b		;reset scroll text pointer!
	sta	$140c
	lda	#$07
	sta	$140d		;scroll pos
	lda	#$00
	sta	$140e		;set current color to 0
	ldx.v	#$0000
clearit:
	lda	#$20
	sta	$1500,x
	lda	#$00
	sta	$1520,x
	inx
	cpx.v	#$0020
	bne	clearit
	cli
	lda	#$01
	sta	$4200
	lda	#$b0
	sta	$4209
	lda	#$00
	sta	$420a
runaround:
	lda	$4210
	and	#$80
	beq	runaround
	lda	#$8f
	sta	$2100
	jsr spriteSCROLL
	ldx.v	#$0080
prayforthis:
	dex
	bne	prayforthis
	jsr scrollrout
	jmp joypad
	;jmp	runaround
	;THE LOOP TO HELL!

spriteSCROLL:
           PHP 
           REP #$10
           SEP #$20
	ldx	$1402
	stx	$1404
	lda	#$8f
	;sta	$2100
           LDA #$00
           STA $2102
           STA $2103
	sta	$1400
	lda	$140d	;copy scroll pos to $1400
	sta	$1400
		; X position!! add this with scroll counter!!
           LDY.v #$0000
spri1:	LDA $1400
           STA $2104
	ldx	$1404
	lda	SINEDATA,x
	clc
	adc	#$79
           STA $2104
           LDA $1500,y	; Character #   lda scroll,y
           STA $2104
           LDA $1520,y	; pallete #     lda color,y
           STA $2104
	lda	$1400
	clc
	adc	#$08
	sta	$1400
	lda	$1404
	clc
	adc	$140a	;Sine Angle!!!!
	sta	$1404
           iny
	cpy.v	#$0020 
           BNE spri1
	plp
	lda	#$0f
	;sta	$2100
	lda	$1402
	clc
	adc	$1407	;direction and bounce speed!!!
	dec
	dec
	sta	$1402
	rts
scrollrout:
	lda	$1408
	beq	nopause
	dec	$1409
	lda	$1409
	beq	stopause
	rts
stopause:
	lda	#$00
	sta	$1408
nopause:
	lda	$140d
	sec
	sbc	$1406
	sta	$140d
	bmi	scrollready
	rts
scrollready:
	lda	#$07
	sta	$140d
	ldx.v	#$0000
scrollwords:
	lda	$1501,x
	sta	$1500,x
	lda	$1521,x
	sta	$1520,x
	inx
	cpx.v	#$001f
	bne	scrollwords
readingscroll:
	ldx	$140b
	lda	scrolltext,x
	and	#$3f
	beq	OPTSET	;option set flag found!
	sta	$151f
	lda	$140e
	sta	$153f
	jsr incpos
	rts
OPTSET:	jsr incpos
	ldx	$140b
	lda	scrolltext,x
	and	#$3f
	beq	resetscroll
	cmp	#$01
	beq	changeangle
	cmp	#$02
	beq	changebounce
	cmp	#$03
	beq	changecolor
	cmp	#$13
	beq	changespeed
	jsr	incpos
	jmp	readingscroll
returntoscroll:
	jsr incpos
	rts
resetscroll:
	ldx.v	#$0000
	stx	$140b
	jmp	readingscroll
changeangle:
	jmp	angle1
changebounce:
	jmp	bounce1
changecolor:
	jmp	color1
changespeed:
	jmp	speed1
angle1:
	jsr incpos
	ldx	$140b
	lda	scrolltext,x
	and	#$03
	sta	$140a
	jmp	returntoscroll
bounce1:
	jsr incpos
	ldx	$140b
	lda	scrolltext,x
	and	#$07
	sta	$1407
	jmp	returntoscroll
color1:
	jsr incpos
	lda	scrolltext,x
	and	#$07
	clc
	asl
	sta	$140e
	jmp	returntoscroll
speed1:
	jsr incpos
	lda	scrolltext,x
	and	#$07
	beq	pauseflagon
	sta	$1406
	jmp	returntoscroll
pauseflagon:
	lda	#$01
	sta	$1408
	lda	#$a0
	sta	$1409
	jmp	returntoscroll	
incpos:
	ldx	$140b
	inx
	stx	$140b
	rts
joypad:
	lda	$4212
	and	#$01
	bne	joypad
	lda	$4219
	and	#$10
	bne	reset
	lda	#$0f
	sta	$2100
	jmp	runaround
reset:
	sep #$30
	dc.b	$4c,$00,$80


HDMA2121:
	dc.b	$01,$00,$01,$01,$01,$02,$01,$03,$01,$04,$01,$05,$01,$06,$01,$07
	dc.b	$01,$10,$01,$11,$01,$12,$01,$13,$01,$14,$01,$15,$01,$16,$01,$17
	dc.b	$01,$20,$01,$21,$01,$22,$01,$23,$01,$24,$01,$25,$01,$26,$01,$27
	dc.b	$01,$30,$01,$31,$01,$32,$01,$33,$01,$34,$01,$35,$01,$36,$01,$37
	dc.b	$01,$40,$01,$41,$01,$42,$01,$43,$01,$44,$01,$45,$01,$46,$01,$47
	dc.b	$01,$50,$01,$51,$01,$52,$01,$53,$01,$54,$01,$55,$01,$56,$01,$57
	dc.b	$01,$80,$01,$81,$01,$82,$01,$83,$01,$84,$01,$85,$01,$86,$01,$87
	dc.b	$01,$90,$01,$91,$01,$92,$01,$93,$01,$94,$01,$95,$01,$96,$01,$97
	dc.b	$01,$a0,$01,$a1,$01,$a2,$01,$a3,$01,$a4,$01,$a5,$01,$a6,$01,$a7
	dc.b	$02,$00,$01,$00,$01,$00
	dc.b	$25,$00,$01,$00,$01,$00
	dc.b	$01,$b0,$01,$b1,$01,$b2,$01,$b3,$01,$b4,$01,$b5,$01,$b6,$01,$b7
	dc.b	$01,$c0,$01,$c1,$01,$c2,$01,$c3,$01,$c4,$01,$c5,$01,$c6,$01,$c7
	dc.b	$01,$d0,$01,$d1,$01,$d2,$01,$d3,$01,$d4,$01,$d5,$01,$d6,$01,$d7

	dc.b	$00,$00
HDMA2122:
	dc.b	$01,$00,$00,$01,$8a,$30,$01,$cc,$40,$01,$50,$49,$01,$d4,$51
	dc.b	$01,$56,$62,$01,$1a,$6b,$01,$de,$7b
	dc.b	$01,$00,$00,$01,$de,$33,$01,$1a,$2b,$01,$96,$2a,$01,$12,$22
	dc.b	$01,$90,$21,$01,$0c,$19,$01,$c8,$10
	dc.b	$01,$00,$00,$01,$5e,$2a,$01,$5a,$21,$01,$d8,$20,$01,$94,$28
	dc.b	$01,$52,$28,$01,$0e,$30,$01,$0c,$30
	dc.b	$01,$00,$00,$01,$c0,$41,$01,$02,$4a,$01,$84,$52,$01,$c6,$5a
	dc.b	$01,$08,$6b,$01,$8c,$73,$01,$d0,$7b
	dc.b	$01,$00,$00,$01,$de,$41,$01,$5c,$31,$01,$1a,$29,$01,$d6,$18
	dc.b	$01,$94,$10,$01,$52,$08,$01,$10,$00
	dc.b	$01,$00,$00,$01,$d0,$79,$01,$4c,$71,$01,$08,$69,$01,$c6,$58
	dc.b	$01,$84,$50,$01,$42,$48,$01,$00,$40
	dc.b	$01,$00,$00,$01,$0c,$7a,$01,$ca,$71,$01,$46,$69,$01,$04,$59
	dc.b	$01,$82,$50,$01,$42,$48,$01,$00,$40
	dc.b	$01,$00,$00,$01,$c0,$03,$01,$40,$03,$01,$c0,$03,$01,$40,$02
	dc.b	$01,$00,$02,$01,$80,$01,$01,$00,$01
	dc.b	$01,$00,$00,$01,$df,$6b,$01,$9c,$53,$01,$5a,$3b,$01,$d6,$2a
	dc.b	$01,$94,$1a,$01,$52,$0a,$01,$10,$02
	dc.b	$02,$00,$00,$01,$ff,$ff,$01,$00,$00,$25,$00,$00,$01,$ff,$ff
	dc.b	$01,$00,$00
	dc.b	$01,$00,$00,$01,$9e,$01,$01,$5c,$01,$01,$1a,$01,$01,$d8,$00
	dc.b	$01,$96,$00,$01,$54,$00,$01,$52,$00
	dc.b	$01,$00,$00,$01,$1e,$7a,$01,$9c,$71,$01,$1a,$69,$01,$d6,$58
	dc.b	$01,$94,$50,$01,$52,$48,$01,$10,$40
	dc.b	$01,$00,$00,$01,$de,$39,$01,$5c,$29,$01,$1a,$21,$01,$d6,$18
	dc.b	$01,$94,$10,$01,$52,$08,$01,$10,$00	
	dc.b	$00,$00,$00
TEXTPAN
	dc.b	$33,$5a,$5d,$47,$41,$5c,$33,$50,$5c,$57,$56,$33,$35,$33,$55
	dc.b	$5c,$5d,$47,$33,$51,$4a,$33,$3e,$43,$52,$5d,$3e,$3c,$51,$40
	dc.b	$5f,$33
TEXTCOLOR:	;1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2
	dc.b	$c,$c,$c,$c,$c,$c,$c,$c,$c,$c,$c,$c,$c,$c,$c,$c,$c,$c,$c,$c,$c,$c,$c,$c,$c,$c,$c,$c,$c,$c,$c,$c
	dc.b	4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4
	dc.b	8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8
	dc.b	$10,$10,$10,$10,$10,$10,$10,$10,$10,$10,$10,$10,$10,$10,$10,$10,$10,$10,$10,$10,$10,$10,$10,$10,$10,$10,$10,$10,$10,$10,$10,$10

SINEDATA:

 dc.b  40,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,56,57
 dc.b  58,59,60,61,61,62,63,64,65,65,66,67,67,68,69,69,70,71,71,72
 dc.b  72,73,73,74,74,75,75,76,76,76,77,77,77,78,78,78,78,78,79,79
 dc.b  79,79,79,79,79,79,79,79,79,79,79,78,78,78,78,78,77,77,77,76
 dc.b  76,76,75,75,74,74,73,73,72,72,71,71,70,69,69,68,67,67,66,65
 dc.b  65,64,63,62,61,61,60,59,58,57,56,56,55,54,53,52,51,50,49,48
 dc.b  47,46,45,44,43,42,41,40,40,39,38,37,36,35,34,33,32,31,30,29
 dc.b  28,27,26,25,24,23,23,22,21,20,19,18,18,17,16,15,14,14,13,12
 dc.b  12,11,10,10,9,8,8,7,7,6,6,5,5,4,4,3,3,3,2,2,2,1,1,1,1,1,0,0
 dc.b  0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,2,2,2,3,3,3,4,4,5,5,6,6,7,7
 dc.b  8,8,9,10,10,11,12,12,13,14,14,15,16,17,18,18,19,20,21,22,23
 dc.b  23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39


Plane0 
        dc.b 128,128,128,128,64,64,64,64 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,29,87 
        dc.b 0,0,0,0,0,2,251,30 
        dc.b 0,0,0,0,16,24,140,162 
        dc.b 0,0,0,0,0,0,1,2 
        dc.b 0,0,7,56,64,192,7,21 
        dc.b 0,0,192,0,0,0,126,255 
        dc.b 0,0,0,0,0,0,224,170 
        dc.b 0,0,0,0,0,0,79,101 
        dc.b 0,0,0,0,0,0,255,255 
        dc.b 0,0,0,0,0,0,200,242 
        dc.b 0,0,0,0,0,0,47,30 
        dc.b 0,0,0,0,0,0,160,200 
        dc.b 0,0,0,0,0,0,1,0 
        dc.b 0,0,0,0,0,0,116,248 
        dc.b 0,0,0,0,0,0,191,127 
        dc.b 0,0,0,0,0,0,255,255 
        dc.b 0,0,0,0,0,0,226,216 
        dc.b 0,0,0,0,0,0,64,160 
        dc.b 0,0,0,0,0,0,0,9 
        dc.b 0,0,0,0,0,0,119,95 
        dc.b 0,0,0,0,0,0,238,202 
        dc.b 0,0,0,0,0,0,0,144 
        dc.b 0,0,0,0,0,0,2,4 
        dc.b 0,0,0,0,0,0,28,86 
        dc.b 0,0,0,0,0,0,7,13 
        dc.b 0,0,0,0,0,32,16,72 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,8,8,24 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 64,64,64,64,32,32,32,32 
        dc.b 0,0,16,16,40,40,40,68 
        dc.b 4,13,19,54,37,79,74,93 
        dc.b 221,187,127,238,206,30,222,127 
        dc.b 255,159,15,7,7,5,7,255 
        dc.b 179,217,236,182,218,239,229,251 
        dc.b 4,8,136,145,145,35,2,167 
        dc.b 55,111,223,187,115,199,183,95 
        dc.b 255,231,227,161,161,161,129,128 
        dc.b 236,246,251,237,118,251,249,62 
        dc.b 255,74,130,161,240,224,120,240 
        dc.b 127,191,62,95,94,221,124,126 
        dc.b 249,126,94,128,0,132,66,50 
        dc.b 62,190,62,62,62,62,63,63 
        dc.b 228,116,114,185,200,110,243,71 
        dc.b 1,1,1,1,129,97,129,255 
        dc.b 124,126,126,252,252,126,126,252 
        dc.b 255,253,253,253,254,253,254,254 
        dc.b 130,192,192,224,160,120,174,95 
        dc.b 76,110,243,125,123,126,127,254 
        dc.b 16,80,8,132,4,130,99,81 
        dc.b 19,38,109,91,151,188,43,117 
        dc.b 127,254,252,184,56,120,120,248 
        dc.b 236,119,54,18,29,30,27,28 
        dc.b 200,100,54,218,233,189,244,190 
        dc.b 8,9,19,38,32,70,193,196 
        dc.b 218,166,22,94,174,158,126,31 
        dc.b 11,14,15,14,15,15,15,23 
        dc.b 96,177,90,236,16,220,208,164 
        dc.b 0,0,0,0,0,128,64,64 
        dc.b 24,20,36,36,36,68,68,68 
        dc.b 0,0,0,0,16,16,24,24 
        dc.b 32,32,32,16,17,17,17,18 
        dc.b 69,66,131,128,1,1,0,0 
        dc.b 22,27,45,16,63,2,59,8 
        dc.b 63,190,254,126,126,254,254,252 
        dc.b 248,7,0,7,7,5,5,3 
        dc.b 240,251,253,249,255,253,254,254 
        dc.b 133,166,107,132,207,128,206,130 
        dc.b 143,239,127,31,223,191,255,63 
        dc.b 129,129,160,161,129,161,129,33 
        dc.b 252,254,63,254,255,127,127,127 
        dc.b 40,228,88,96,244,96,176,160 
        dc.b 14,127,127,15,127,127,95,63 
        dc.b 201,130,53,99,216,129,189,224 
        dc.b 63,63,63,63,63,63,63,31 
        dc.b 191,205,246,250,252,254,254,255 
        dc.b 255,1,129,129,129,129,129,0 
        dc.b 252,254,252,254,244,244,252,240 
        dc.b 255,255,255,255,255,255,255,127 
        dc.b 163,254,254,254,246,246,252,230 
        dc.b 255,9,33,51,17,9,9,13 
        dc.b 88,108,82,140,216,228,244,244 
        dc.b 88,110,183,65,253,139,111,35 
        dc.b 248,248,248,248,252,254,255,255 
        dc.b 31,31,31,31,63,127,255,253 
        dc.b 218,238,245,246,247,254,255,254 
        dc.b 2,1,76,51,37,13,31,27 
        dc.b 79,54,238,30,126,190,126,252 
        dc.b 255,15,15,15,15,15,7,7 
        dc.b 8,144,230,249,204,246,253,249 
        dc.b 0,96,33,209,145,10,10,10 
        dc.b 132,130,2,2,2,2,2,2 
        dc.b 40,40,36,36,37,37,35,34 
        dc.b 18,18,20,12,12,8,8,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 47,63,19,6,2,3,6,4 
        dc.b 250,192,112,98,195,195,38,160 
        dc.b 5,0,0,235,174,174,186,0 
        dc.b 255,0,0,39,42,174,218,0 
        dc.b 75,0,0,19,37,71,141,0 
        dc.b 254,0,1,160,32,0,32,0 
        dc.b 129,1,224,0,0,0,2,0 
        dc.b 127,192,0,128,0,128,32,128 
        dc.b 208,0,0,0,0,0,0,0 
        dc.b 95,0,0,0,0,0,0,0 
        dc.b 236,0,0,0,0,0,0,0 
        dc.b 47,17,31,0,14,0,0,0 
        dc.b 254,0,0,0,0,0,0,0 
        dc.b 129,0,0,0,0,0,0,0 
        dc.b 116,2,2,2,2,2,2,0 
        dc.b 191,15,4,2,1,0,1,0 
        dc.b 236,216,238,148,172,184,204,248 
        dc.b 5,4,4,3,0,0,0,0 
        dc.b 252,0,0,252,0,0,0,0 
        dc.b 159,0,0,0,0,0,0,0 
        dc.b 255,0,0,0,0,0,0,0 
        dc.b 255,8,5,1,3,1,0,0 
        dc.b 125,114,244,96,216,200,32,136 
        dc.b 47,56,0,32,16,16,0,0 
        dc.b 250,0,0,0,0,0,0,0 
        dc.b 3,5,9,2,1,0,4,0 
        dc.b 254,144,32,0,0,192,192,0 
        dc.b 132,4,0,0,0,0,0,0 
        dc.b 1,1,1,1,1,1,1,1 
        dc.b 66,64,64,64,64,64,64,64 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 3,5,0,0,0,0,0,0 
        dc.b 192,160,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,14,110,14,0,4,4,0 
        dc.b 0,0,192,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 2,0,0,2,2,0,2,5 
        dc.b 1,0,0,0,1,0,0,0 
        dc.b 132,248,16,216,76,216,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 2,0,0,0,0,0,0,0 
        dc.b 232,0,0,0,0,0,0,0 
        dc.b 0,16,40,0,40,16,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 128,128,128,128,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 5,0,2,0,5,5,2,2 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 128,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,11,47 
        dc.b 0,0,0,0,0,0,253,255 
        dc.b 0,0,0,32,0,0,0,64 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,2,11 
        dc.b 0,0,32,0,0,0,255,255 
        dc.b 0,0,0,0,0,0,65,208 
        dc.b 0,0,0,0,0,0,63,248 
        dc.b 0,0,0,0,0,0,255,255 
        dc.b 0,0,0,0,0,0,232,248 
        dc.b 0,0,0,0,0,0,31,63 
        dc.b 0,0,0,0,0,0,200,224 
        dc.b 0,0,0,0,0,0,0,1 
        dc.b 0,0,0,0,0,0,248,252 
        dc.b 0,0,0,0,0,0,127,255 
        dc.b 0,0,0,0,0,0,255,255 
        dc.b 0,0,0,0,0,0,244,253 
        dc.b 0,0,0,0,0,128,0,0 
        dc.b 0,0,0,0,0,0,4,0 
        dc.b 0,0,0,0,0,0,47,191 
        dc.b 0,0,0,0,0,0,244,253 
        dc.b 0,0,0,0,0,0,32,0 
        dc.b 0,0,0,0,0,1,0,0 
        dc.b 0,0,0,0,0,0,10,46 
        dc.b 0,0,0,0,0,0,10,14 
        dc.b 0,0,0,0,0,64,0,128 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,8,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,16,0,0,0,0,0 
        dc.b 0,0,1,3,7,3,15,134 
        dc.b 127,254,254,254,254,254,62,63 
        dc.b 255,7,7,7,7,7,5,255 
        dc.b 224,240,248,252,254,252,255,246 
        dc.b 0,0,0,0,65,80,35,33 
        dc.b 31,63,127,255,255,255,207,143 
        dc.b 255,129,129,129,129,129,161,161 
        dc.b 249,252,254,255,255,127,255,253 
        dc.b 255,133,65,64,160,0,208,128 
        dc.b 255,254,255,126,255,127,95,127 
        dc.b 252,222,55,0,132,64,160,192 
        dc.b 63,63,191,63,63,63,63,63 
        dc.b 224,224,240,98,56,84,109,191 
        dc.b 1,1,1,1,1,17,1,255 
        dc.b 252,252,124,126,126,254,254,252 
        dc.b 255,255,255,255,253,254,254,255 
        dc.b 128,128,192,128,224,208,116,63 
        dc.b 254,115,121,122,125,125,126,255 
        dc.b 128,0,192,128,192,64,64,194 
        dc.b 1,3,7,15,31,15,60,24 
        dc.b 255,248,248,248,248,248,248,248 
        dc.b 255,30,31,31,27,25,28,31 
        dc.b 128,192,96,176,248,80,252,120 
        dc.b 0,0,1,3,7,7,7,1 
        dc.b 126,254,206,142,94,62,62,191 
        dc.b 15,13,14,15,15,15,15,239 
        dc.b 196,226,240,121,188,252,252,240 
        dc.b 0,0,0,0,128,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,16,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,1,1,1,0,0,0,0 
        dc.b 156,15,27,27,21,52,46,45 
        dc.b 127,126,126,254,254,254,254,254 
        dc.b 255,0,7,7,5,7,7,7 
        dc.b 251,249,249,253,253,255,255,255 
        dc.b 167,3,134,134,133,205,203,203 
        dc.b 31,223,223,255,127,63,191,127 
        dc.b 160,160,161,161,129,161,129,161 
        dc.b 62,62,254,255,127,255,255,255 
        dc.b 232,72,100,100,96,240,240,240 
        dc.b 127,15,15,127,127,95,127,127 
        dc.b 34,59,146,189,169,236,212,213 
        dc.b 63,63,63,63,63,63,63,63 
        dc.b 203,255,249,253,255,255,255,255 
        dc.b 255,129,129,129,129,129,129,129 
        dc.b 252,252,254,252,252,252,244,252 
        dc.b 255,255,255,255,255,255,255,255 
        dc.b 223,254,254,254,254,254,246,252 
        dc.b 255,3,65,1,1,1,1,1 
        dc.b 227,242,190,216,236,252,252,252 
        dc.b 113,61,109,111,87,83,187,183 
        dc.b 248,248,248,248,248,248,255,255 
        dc.b 31,31,31,31,31,31,255,255 
        dc.b 254,252,254,254,254,255,255,255 
        dc.b 192,64,69,23,46,27,53,46 
        dc.b 255,126,254,254,62,126,254,254 
        dc.b 255,15,15,15,15,15,15,15 
        dc.b 224,192,244,253,254,255,251,255 
        dc.b 64,64,64,0,128,0,128,128 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,8,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 31,23,15,7,3,7,7,2 
        dc.b 252,112,192,160,1,225,226,0 
        dc.b 3,0,0,97,166,166,170,0 
        dc.b 255,0,0,3,2,38,74,0 
        dc.b 135,0,0,1,1,67,133,0 
        dc.b 255,0,0,128,32,0,32,0 
        dc.b 32,32,0,0,0,0,1,0 
        dc.b 255,0,0,128,128,128,192,0 
        dc.b 224,0,0,0,0,0,0,0 
        dc.b 63,0,0,0,0,0,0,0 
        dc.b 248,0,0,0,0,0,0,0 
        dc.b 31,14,10,10,4,4,4,4 
        dc.b 255,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 248,2,2,2,0,0,0,2 
        dc.b 127,5,3,1,1,0,0,1 
        dc.b 236,238,216,252,244,224,232,220 
        dc.b 1,0,0,4,0,0,0,0 
        dc.b 252,0,0,0,4,0,0,0 
        dc.b 127,0,0,0,0,0,0,0 
        dc.b 255,0,0,0,0,0,0,0 
        dc.b 254,3,1,3,1,3,1,3 
        dc.b 254,120,112,248,248,144,136,216 
        dc.b 31,40,40,0,16,16,16,16 
        dc.b 252,0,0,0,0,0,0,0 
        dc.b 7,11,3,7,6,2,2,0 
        dc.b 255,192,128,192,0,0,128,0 
        dc.b 0,4,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 2,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 1,3,0,0,0,0,0,0 
        dc.b 128,192,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 4,4,31,4,4,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,2,2,2,2,2,2,0 
        dc.b 1,1,0,1,0,0,0,0 
        dc.b 220,172,160,116,104,80,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 1,0,0,0,0,0,0,0 
        dc.b 176,0,0,0,0,0,0,0 
        dc.b 16,16,0,56,16,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,128,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,7,7,7,2,2,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,7,31 
        dc.b 0,0,0,0,0,0,254,255 
        dc.b 0,0,0,0,0,0,0,128 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,1,7 
        dc.b 0,0,0,0,0,0,255,255 
        dc.b 0,0,0,0,0,0,128,225 
        dc.b 0,0,0,0,0,0,255,255 
        dc.b 0,0,0,0,0,0,255,255 
        dc.b 0,0,0,0,0,0,240,252 
        dc.b 0,0,0,0,0,0,63,63 
        dc.b 0,0,0,0,0,0,224,224 
        dc.b 0,0,0,0,0,0,1,1 
        dc.b 0,0,0,0,0,0,252,252 
        dc.b 0,0,0,0,0,0,255,255 
        dc.b 0,0,0,0,0,0,255,255 
        dc.b 0,0,0,0,0,0,248,254 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,31,127 
        dc.b 0,0,0,0,0,0,248,254 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,6,30 
        dc.b 0,0,0,0,0,0,12,15 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,1,3,7,7,15 
        dc.b 63,127,254,254,254,254,254,255 
        dc.b 255,15,7,7,7,7,7,253 
        dc.b 192,224,240,248,252,254,254,255 
        dc.b 0,0,0,0,0,1,1,35 
        dc.b 15,31,63,127,255,255,255,255 
        dc.b 255,195,129,129,129,129,129,129 
        dc.b 241,248,252,254,255,255,127,127 
        dc.b 255,3,0,0,0,144,144,200 
        dc.b 255,254,254,255,127,127,127,95 
        dc.b 254,63,15,0,0,128,192,224 
        dc.b 63,63,63,63,63,63,63,63 
        dc.b 224,224,224,240,240,184,158,207 
        dc.b 1,1,1,1,1,1,1,255 
        dc.b 252,252,252,252,252,252,252,254 
        dc.b 255,255,255,255,255,255,255,255 
        dc.b 129,128,128,192,192,224,248,255 
        dc.b 255,255,127,125,124,126,127,255 
        dc.b 0,128,128,192,192,192,192,224 
        dc.b 0,1,3,7,15,31,31,63 
        dc.b 255,252,248,248,248,248,248,248 
        dc.b 255,63,31,31,31,31,31,31 
        dc.b 0,128,192,96,48,184,248,252 
        dc.b 0,0,0,1,3,3,3,3 
        dc.b 62,126,254,254,190,254,254,255 
        dc.b 15,15,15,15,15,15,15,255 
        dc.b 128,192,225,240,248,248,248,248 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,1,0,0,0,0,0 
        dc.b 15,28,28,60,56,57,49,51 
        dc.b 255,254,254,254,254,254,254,254 
        dc.b 253,5,5,5,7,7,7,7 
        dc.b 255,255,255,255,255,255,255,255 
        dc.b 3,135,135,207,206,206,204,204 
        dc.b 255,63,63,63,63,127,127,255 
        dc.b 129,129,129,129,161,161,161,129 
        dc.b 127,127,127,127,255,255,255,255 
        dc.b 192,224,224,240,240,240,240,240 
        dc.b 95,95,95,95,95,127,127,127 
        dc.b 240,240,249,216,220,220,204,204 
        dc.b 63,63,63,63,63,63,63,63 
        dc.b 231,243,255,255,255,255,255,255 
        dc.b 255,129,129,129,129,129,129,129 
        dc.b 254,254,254,254,254,254,254,254 
        dc.b 255,255,255,255,255,255,255,255 
        dc.b 255,254,254,254,254,254,254,254 
        dc.b 255,7,3,1,1,1,1,1 
        dc.b 242,248,248,252,252,252,252,252 
        dc.b 63,115,115,243,227,231,199,207 
        dc.b 248,248,248,248,248,252,255,255 
        dc.b 31,31,31,31,31,63,255,255 
        dc.b 252,254,254,255,255,255,255,255 
        dc.b 1,0,3,15,31,60,56,49 
        dc.b 255,254,254,254,254,254,254,254 
        dc.b 255,15,15,15,15,15,15,15 
        dc.b 240,224,248,254,255,255,255,255 
        dc.b 0,64,0,0,0,128,128,128 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 63,15,7,3,7,7,7,7 
        dc.b 254,224,224,194,226,34,36,96 
        dc.b 7,0,0,138,8,8,16,0 
        dc.b 255,0,0,36,40,136,144,0 
        dc.b 207,0,0,18,36,4,8,0 
        dc.b 255,0,0,32,0,0,0,0 
        dc.b 129,0,0,0,0,0,0,0 
        dc.b 255,128,128,0,0,0,128,0 
        dc.b 240,0,0,0,0,0,0,0 
        dc.b 127,0,0,0,0,0,0,0 
        dc.b 196,0,0,0,0,0,0,0 
        dc.b 63,4,4,4,0,0,0,0 
        dc.b 255,0,0,0,0,0,0,0 
        dc.b 129,0,0,0,0,0,0,0 
        dc.b 254,0,0,0,0,0,0,0 
        dc.b 255,3,1,0,0,1,1,1 
        dc.b 254,252,252,248,248,252,244,228 
        dc.b 1,0,0,0,0,0,0,0 
        dc.b 252,0,0,0,0,0,0,0 
        dc.b 255,0,0,0,0,0,0,0 
        dc.b 255,0,0,0,0,0,0,0 
        dc.b 255,7,3,1,3,3,3,1 
        dc.b 255,252,248,240,224,232,216,48 
        dc.b 63,16,16,16,0,0,0,0 
        dc.b 254,0,0,0,0,0,0,0 
        dc.b 15,7,7,3,7,7,1,0 
        dc.b 255,224,192,128,192,64,0,0 
        dc.b 128,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 6,0,0,0,0,0,0,0 
        dc.b 96,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,4,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,2 
        dc.b 1,1,1,0,0,0,0,0 
        dc.b 228,196,204,136,144,32,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 64,0,0,0,0,0,0,0 
        dc.b 0,0,16,16,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 2,2,2,2,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
Plane1 
        dc.b 124,192,4,86,4,0,28,0 
        dc.b 120,204,4,100,0,4,128,0 
        dc.b 248,204,4,100,0,4,184,0 
        dc.b 120,204,0,64,0,4,28,0 
        dc.b 248,204,4,68,0,4,184,0 
        dc.b 248,204,0,96,0,4,184,0 
        dc.b 248,204,0,96,0,0,128,0 
        dc.b 120,204,0,86,0,4,28,0 
        dc.b 198,192,4,100,0,4,128,0 
        dc.b 126,24,16,24,0,16,92,0 
        dc.b 30,12,8,12,0,8,24,0 
        dc.b 206,192,16,80,0,4,128,0 
        dc.b 192,192,0,64,0,0,186,0 
        dc.b 198,206,24,84,0,4,128,0 
        dc.b 248,204,4,68,0,4,128,0 
        dc.b 120,204,4,68,0,4,28,0 
        dc.b 248,204,4,100,0,0,128,0 
        dc.b 120,204,4,68,0,8,24,0 
        dc.b 248,204,4,100,0,4,128,0 
        dc.b 120,204,0,120,0,4,184,0 
        dc.b 126,24,16,24,0,16,0,0 
        dc.b 198,192,4,68,0,4,28,0 
        dc.b 198,192,4,68,0,40,0,0 
        dc.b 198,192,4,84,58,42,128,0 
        dc.b 198,192,72,56,28,4,128,0 
        dc.b 198,192,4,122,0,4,184,0 
        dc.b 254,192,8,56,0,4,186,0 
        dc.b 254,192,0,64,0,0,186,0 
        dc.b 192,192,64,56,4,10,0,0 
        dc.b 254,0,4,4,0,4,186,0 
        dc.b 8,24,54,0,0,0,0,0 
        dc.b 0,8,0,48,8,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 12,12,12,12,12,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,72,232,72,216,0,0,0 
        dc.b 126,192,16,120,0,20,184,0 
        dc.b 198,204,16,48,0,6,134,0 
        dc.b 8,56,8,60,0,44,0,0 
        dc.b 24,24,0,0,0,0,0,0 
        dc.b 56,96,0,64,0,64,8,0 
        dc.b 112,24,8,8,0,16,80,0 
        dc.b 158,128,16,100,0,18,176,0 
        dc.b 0,24,0,98,8,8,0,0 
        dc.b 0,0,0,0,0,12,12,24 
        dc.b 0,0,0,62,0,0,0,0 
        dc.b 0,0,0,0,0,12,12,0 
        dc.b 6,12,16,48,0,0,128,0 
        dc.b 120,204,8,86,48,36,28,0 
        dc.b 12,24,0,12,0,8,0,0 
        dc.b 120,204,4,120,0,4,186,0 
        dc.b 254,192,8,22,0,4,184,0 
        dc.b 60,108,8,76,58,8,0,0 
        dc.b 254,192,24,4,0,4,28,0 
        dc.b 120,204,0,100,0,4,28,0 
        dc.b 254,192,8,16,0,16,0,0 
        dc.b 120,204,4,120,0,4,28,0 
        dc.b 120,204,4,122,0,4,28,0 
        dc.b 0,24,24,0,24,24,0,0 
        dc.b 0,12,12,0,12,0,0,0 
        dc.b 12,24,32,32,0,16,0,0 
        dc.b 0,0,62,0,62,0,0,0 
        dc.b 48,24,8,4,0,16,32,0 
        dc.b 120,192,102,4,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,6,198,86,0,192,126,0 
        dc.b 0,0,198,100,0,194,198,0 
        dc.b 0,0,198,100,0,194,252,0 
        dc.b 0,0,192,64,0,194,124,0 
        dc.b 0,0,198,68,0,194,252,0 
        dc.b 0,0,192,96,0,194,252,0 
        dc.b 0,0,192,96,0,192,192,0 
        dc.b 0,0,192,86,0,194,124,0 
        dc.b 0,6,198,100,0,194,198,0 
        dc.b 0,0,24,24,0,8,126,0 
        dc.b 0,0,12,12,0,196,120,0 
        dc.b 0,24,240,80,0,194,198,0 
        dc.b 0,0,192,64,0,192,254,0 
        dc.b 0,32,254,84,0,194,198,0 
        dc.b 0,0,198,68,0,194,198,0 
        dc.b 0,0,198,68,0,194,124,0 
        dc.b 0,0,198,100,0,192,192,0 
        dc.b 0,0,198,68,0,196,122,0 
        dc.b 0,0,198,100,0,194,198,0 
        dc.b 0,0,192,120,0,194,252,0 
        dc.b 0,0,24,24,0,8,24,0 
        dc.b 0,6,198,68,0,194,124,0 
        dc.b 0,6,198,68,0,16,16,0 
        dc.b 0,6,198,84,0,196,198,0 
        dc.b 0,6,124,56,0,194,198,0 
        dc.b 0,6,198,122,0,194,252,0 
        dc.b 0,6,12,56,0,194,254,0 
        dc.b 0,0,192,64,0,192,254,0 
        dc.b 0,32,112,56,0,4,6,0 
        dc.b 0,6,6,4,0,2,254,0 
        dc.b 0,28,0,0,0,0,0,0 
        dc.b 0,0,24,48,0,8,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,12,0,0,0,12,0 
        dc.b 102,102,0,0,0,0,0,0 
        dc.b 0,0,60,72,0,72,0,0 
        dc.b 0,16,208,120,0,2,252,0 
        dc.b 0,192,24,48,0,192,134,0 
        dc.b 0,4,104,60,0,16,8,0 
        dc.b 0,24,0,0,0,0,0,0 
        dc.b 0,0,192,64,0,32,56,0 
        dc.b 0,0,12,8,0,8,112,0 
        dc.b 0,16,144,100,0,0,242,0 
        dc.b 0,0,24,114,0,16,0,0 
        dc.b 0,0,0,0,0,0,12,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,12,0 
        dc.b 0,0,24,48,0,192,128,0 
        dc.b 0,0,206,86,0,194,124,0 
        dc.b 0,4,28,12,0,4,12,0 
        dc.b 0,0,6,120,0,194,254,0 
        dc.b 0,6,12,22,0,194,252,0 
        dc.b 0,0,204,76,0,4,12,0 
        dc.b 0,0,252,4,0,194,124,0 
        dc.b 0,0,192,100,0,194,124,0 
        dc.b 0,6,12,16,0,8,24,0 
        dc.b 0,0,198,120,0,194,124,0 
        dc.b 0,0,198,122,0,194,124,0 
        dc.b 0,0,24,0,0,24,0,0 
        dc.b 0,0,12,0,0,12,0,24 
        dc.b 0,0,48,32,0,8,12,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,12,4,0,8,48,0 
        dc.b 0,12,102,0,24,0,24,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,136,220,192,126,0 
        dc.b 0,0,0,154,198,198,198,0 
        dc.b 0,0,0,152,198,198,252,0 
        dc.b 0,0,0,128,192,198,124,0 
        dc.b 0,0,0,130,198,198,252,0 
        dc.b 0,0,0,144,192,198,252,0 
        dc.b 0,0,0,144,192,192,192,0 
        dc.b 0,0,0,136,198,198,124,0 
        dc.b 0,0,0,154,198,198,198,0 
        dc.b 0,0,0,0,24,24,126,0 
        dc.b 0,0,0,0,12,204,120,0 
        dc.b 0,0,0,136,204,198,198,0 
        dc.b 0,0,0,128,192,192,254,0 
        dc.b 0,0,0,130,198,198,198,0 
        dc.b 0,0,0,130,198,198,198,0 
        dc.b 0,0,0,130,198,198,124,0 
        dc.b 0,0,0,152,192,192,192,0 
        dc.b 0,0,0,130,218,204,122,0 
        dc.b 0,0,0,152,198,198,198,0 
        dc.b 0,0,0,4,6,198,252,0 
        dc.b 0,0,0,0,24,24,24,0 
        dc.b 0,0,0,130,198,198,124,0 
        dc.b 0,0,0,130,108,56,16,0 
        dc.b 0,0,0,130,254,238,198,0 
        dc.b 0,0,0,0,124,198,198,0 
        dc.b 0,0,0,4,6,198,252,0 
        dc.b 0,0,0,0,96,198,254,0 
        dc.b 0,0,0,128,192,192,254,0 
        dc.b 0,0,0,0,28,14,6,0 
        dc.b 0,0,0,2,6,6,254,0 
        dc.b 0,0,54,0,0,0,0,0 
        dc.b 0,0,0,0,24,8,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,12,12,0,12,0 
        dc.b 102,102,0,0,0,0,0,0 
        dc.b 0,0,0,0,252,72,0,0 
        dc.b 0,0,0,4,22,22,252,0 
        dc.b 0,0,0,0,96,192,128,0 
        dc.b 0,0,0,0,104,60,8,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,128,192,96,56,0 
        dc.b 0,0,0,4,12,24,112,0 
        dc.b 0,0,0,154,18,18,242,0 
        dc.b 0,0,0,12,24,24,0,0 
        dc.b 0,0,0,0,0,0,0,24 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,96,192,128,0 
        dc.b 0,0,0,136,246,230,124,0 
        dc.b 0,0,0,0,12,12,12,0 
        dc.b 0,0,0,4,192,198,254,0 
        dc.b 0,0,0,8,6,198,252,0 
        dc.b 0,0,0,128,254,12,12,0 
        dc.b 0,0,0,2,6,198,124,0 
        dc.b 0,0,0,152,198,198,124,0 
        dc.b 0,0,0,8,24,24,24,0 
        dc.b 0,0,0,4,198,198,124,0 
        dc.b 0,0,0,4,6,198,124,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,0,0,0,12,24 
        dc.b 0,0,0,64,48,24,12,0 
        dc.b 0,0,0,0,0,0,0,0 
        dc.b 0,0,0,2,12,24,48,0 
        dc.b 0,0,0,12,24,0,24,0 
	dc.b	"TEXT STARTS HERE->"
TEXTDATA:       ;01234567890123456789012345678901
	dc.b	"        PROUDLY PRESENTS        "
	dc.b	"        BUBSY THE BOBCAT!       "
	dc.b	"         (C) BY ACCOLADE        "
	dc.b	"       RELEASED ON 2/13/93      "
	dc.b	"<- ENDS HERE"

	dc.b	"   SCROLL TEXTSTARTS HERE->"
scrolltext:
	dc.b	"@C0 @A0 @S1 @B4   ANTHROX PRESENTS THE GAME OF THE YEAR:             "
	DC.B	"                 @C2 @S2 @A1 BUBSY THE BOBCAT IN CLAWS ENCOUNTERS OF THE FURRED KIND! "
	DC.B	"    @S2 @C1 ORIGINAL FROM @C5 ICECUBE  @B0 @S0                    "
	DC.B	"        @A2 TODAY WE GREET   @C4 BASELINE @C2 - @C0 CYNIX @C2 - "
	DC.B	"@C3 PERFECTION    @C5   AND @C2 YOU!            "
	DC.B	"                     @@   "
